Bug 107646 - curses doesn't cope well with LANG=en_US.UTF-8
curses doesn't cope well with LANG=en_US.UTF-8
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: firstboot (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-21 13:49 EDT by Micah Parrish
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHEL3 final
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-07 14:03:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Micah Parrish 2003-10-21 13:49:06 EDT
Description of problem:

when i18n sets LANG=en_US.UTF-8, all curses-based redhat-config-* applications
use strange characters instead of boxes.  With LANG=en_US.ISO-8859-1, everything
looks great.

Unfortunately, redhat-config-language and firstboot and anaconda all set
LANG=en_US.UTF-8.  I assume they all depend on some component that is screwing
this up, or that it is a problem in curses itself.  It seems to look equally bad
by serial console, VGA terminal, and ssh, and on ia64 and ia32, and with or
without the utf8 kernel command line option.



How reproducible:
easy

Steps to Reproduce:
1. run neat-tui or any of the tui redhat-config-* commands
    
Actual results:
ugliness

Expected results:
beauty
Comment 1 Micah Parrish 2003-11-07 14:03:48 EST
This appears to be fixed in RHEL3 final, so I am changing its status
to resolved.  Note also that LANG=en_US.ISO-8859-1 now produces the
ugliness, but en_US.UTF-8 works fine.

Note You need to log in before you can comment on or make changes to this bug.